Bug 124834 - dhcp package does not include dhcp-options file
Summary: dhcp package does not include dhcp-options file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-31 02:48 UTC by Paul Jakma
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: dhclient-3.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 22:42:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:566 normal SHIPPED_LIVE Updated dhcp and dhclient packages 2005-05-26 04:00:00 UTC

Description Paul Jakma 2004-05-31 02:48:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
When trying to configure a Linux server to act as Solaris JumpStart
server, I needed to read documentation for setting vendor options in
DHCP server. the dhcpd.conf manual page referred me to dhcp-options,
however this manual page is not included in the package.

the dhcp-options manual page should be included, just like the other
man pages.

Version-Release number of selected component (if applicable):
3.0.1rc12-4

How reproducible:
Always

Steps to Reproduce:
1. man dhcpd.conf
2. man page refers one to dhcp-options man page for docs on vendor-options
3. man dhcp-options 
    

Actual Results:  # man dhcp-options
No manual entry for dhcp-options


Expected Results:  I should have gotten the dhcp-options manual page.

Additional info:

Comment 1 Daniel Walsh 2004-06-09 19:13:08 UTC
That man page is in the dhcpc package.  We had a problem where both
packages had to have the same file so we decided to put it in the client.

Dan

Comment 2 Paul Jakma 2004-06-10 02:30:54 UTC
This *is* a bug. 

1. dhcpc is not the standard RH/FC dhcp client (pump is and long has
been). So you're quite unlikely to have this man page installed
anywhere on a network of standardish RH/FC machines. Ergo, the man
page should be in the dhcpd package.

2. The man page is, mostly, of use when configuring the server. It is
quite probable that a dhcpd server will not have the client installed
(it doesnt need it). Ergo, the man page should be in the dhcpd package.

Especially given that dhcpcd is not part of a standard install, this
man page really should be in the server package. Alternatively, split
the man page and other common docs in a standalone RPM.

Comment 3 Jason Vas Dias 2004-08-03 22:42:59 UTC
 The `dhcp-options' manpage is included in the 'dhclient' package,
 which is the only DHCP client supported for Red Hat Linux.
  
 Install dhclient-3.0.1+ and you can do a 'man dhcp-options'.

 I'll make sure for future versions that if you install one package
 without the other, the dhcp-options manpage still gets installed. 

Comment 4 John Flanagan 2004-12-21 19:41:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html



Note You need to log in before you can comment on or make changes to this bug.